export interface Mapping {
    [key: string]: MapTo;
}
/**
 * A given value will be mapped to a path in the
 * target JSON and to a certain value type.
 * Example path: 'accounts.last_accounts.year_end'
 *  => { accounts: { last_accounts: { year_end: 'my_value' } } }
 */
export interface MapTo {
    path: string;
    type: MappingType;
    isArray?: boolean;
}
export declare type MappingType = 'string' | 'date' | 'integer' | 'boolean';
