"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const moment = require("moment");
class TypeMappingService {
    mapToType(value = '', targetType) {
        let result;
        switch (targetType) {
            case 'string':
                result = value;
                break;
            case 'integer':
                result = parseInt(value);
                break;
            case 'boolean':
                result = (value === 'true' || value === 'TRUE');
                break;
            case 'date':
                // TODO: Make the input date format configurable
                const momentDate = moment.utc(value, 'DD/MM/YYYY');
                result = momentDate.toDate();
                break;
        }
        return result;
    }
}
exports.TypeMappingService = TypeMappingService;
